using RobotLib;
using RobotLib.Communication;

namespace RobotClientWpf
{
    public class ChallengeFactory
    {
        public MqttPublisherSubscriber PublisherSubscriber { get; }
        public Robot RobotStationary { get; }
        public Robot RobotMobile { get; }

        public ChallengeFactory()
        {
            this.PublisherSubscriber = MqttPublisherSubscriber.Instance;
            this.RobotStationary = new Robot(this.PublisherSubscriber);
            this.RobotMobile = new Robot(this.PublisherSubscriber);
        }
    }
}
